Bug 1553463 - Openstack Packstack allinone installation error
Summary: Openstack Packstack allinone installation error
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack   
(Show other bugs)
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Alfredo Moralejo
QA Contact: nlevinki
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 22:23 UTC by Abhay Sapru
Modified: 2018-03-22 11:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-10 21:37:40 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Openstack packstack allinone installation error (2.50 KB, text/plain)
2018-03-08 22:23 UTC, Abhay Sapru
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1526064 None NEW python-cryptography should depend on python-setuptools 2018-11-11 00:59 UTC

Description Abhay Sapru 2018-03-08 22:23:59 UTC
Created attachment 1406022 [details]
Openstack packstack allinone installation error

Description of problem:

Am getting below error during openstack packstack allinone installation on centos


[root@localhost ~]# cat /etc/centos-release
CentOS Linux release 7.4.1708 (Core)
[root@localhost ~]#



[root@localhost ~]# sudo packstack --allinone
ERROR:root:Failed to load plugin from file ssl_001.py
ERROR:root:Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line                                                                                                              923, in loadPlugins
    moduleobj = __import__(moduleToLoad)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/ssl_001.py", line 20,                                                                                                              in <module>
    from OpenSSL import crypto
  File "/usr/lib/python2.7/site-packages/OpenSSL/__init__.py", line 8, in <modul                                                                                                             e>
    from OpenSSL import rand, crypto, SSL
  File "/usr/lib/python2.7/site-packages/OpenSSL/crypto.py", line 13, in <module                                                                                                             >
    from cryptography.hazmat.primitives.asymmetric import dsa, rsa
  File "/usr/lib64/python2.7/site-packages/cryptography/hazmat/primitives/asymme                                                                                                             tric/rsa.py", line 14, in <module>
    from cryptography.hazmat.backends.interfaces import RSABackend
  File "/usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__                                                                                                             .py", line 7, in <module>
    import pkg_resources
ImportError: No module named pkg_resources

ERROR:root:Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line                                                                                                              988, in main
    loadPlugins()
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line                                                                                                              931, in loadPlugins
    raise Exception("Failed to load plugin from file %s" % item)
Exception: Failed to load plugin from file ssl_001.py


ERROR : Failed to load plugin from file ssl_001.py





Version-Release number of selected component (if applicable):


How reproducible:



Steps to Reproduce:


1sudo yum install -y centos-release-openstack-pike
2 sudo yum update -y
4 sudo yum install -y openstack-packstack
$ sudo packstack --allinone

Actual results:
Exception: Failed to load plugin from file ssl_001.py


ERROR : Failed to load plugin from file ssl_001.py


Expected results:

packstack all in one command should run fine

Additional info:

Comment 1 Abhay Sapru 2018-03-08 22:38:40 UTC
How reproducible:
Always even checked pythonOpenSSL its also fine still getting same error

Comment 2 Abhay Sapru 2018-03-10 21:37:40 UTC
The issue got resolved by reinstalling python tools and updating pip and pysthon setup-tools

Comment 3 Omar 2018-03-22 11:53:19 UTC
(In reply to Abhay Sapru from comment #2)
> The issue got resolved by reinstalling python tools and updating pip and
> pysthon setup-tools

For resolve this problem only type sudo yum install python-pip


Note You need to log in before you can comment on or make changes to this bug.